Bug 1399531 - Qemu: net: mcf_fec: infinite loop issue while receiving data
Summary: Qemu: net: mcf_fec: infinite loop issue while receiving data
Keywords:
Status: CLOSED DUPLICATE of bug 1400829
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1399533 1400830
Blocks: 1326713
TreeView+ depends on / blocked
 
Reported: 2016-11-29 09:22 UTC by Prasad J Pandit
Modified: 2019-09-29 14:00 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 07:38:57 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-11-29 09:22:48 UTC
Quick Emulator(Qemu) built with the ColdFire Fast Ethernet Controller emulator
support is vulnerable to an infinite loop issue. It could occur while receiving
packets in 'mcf_fec_receive', if receive buffer size was to be zero.

A privileged user/process inside guest could use this issue to crash the Qemu
process on the host leading to DoS.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg05002.html

Comment 1 Prasad J Pandit 2016-11-29 09:23:25 UTC
Acknowledgments:

Name: Wjjzhang (Tencent.com)

Comment 2 Prasad J Pandit 2016-11-29 09:24:25 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1399533]

Comment 3 Cole Robinson 2017-01-16 18:38:03 UTC
I think this is a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=1400829 ?

Comment 4 Prasad J Pandit 2017-02-07 07:38:57 UTC

*** This bug has been marked as a duplicate of bug 1400829 ***


Note You need to log in before you can comment on or make changes to this bug.